Missing ZipArchive Extension in the server

wordpress

#1

Dear Dreamhost Support,

Can you Install that please??? I can’t install and run “Duplicator” WP plugin since dreamhost server dont have ZipArchive Installed in their server. This is VERY IMPORTANT for me, I’ve been hacked a lot of times and this backup plugin can help me save time backing up files. And pls don’t suggest backupbuddy or backupcreator, I don’t want to spend a dime for it.

http://awesomescreenshot.com/0e8hh5431
[color=#FF0000]“The ZipArchive extension for PHP is required for compression. Please contact your hosting provider if you’re on a hosted server. For additional information see our online documentation.”[/color]

Can you confirm if you can enable or install this extension?? or how can I enable it myself??


#2

In lieu of that plugin, how about http://wordpress.org/extend/plugins/backupwordpress/

Works fine on DreamHost, and saves your backups in wp-content/backups (which is a preferred location to store anything).

I’m sorry to hear you’ve been hacked multiple times.


#3

Thanks man. I’ll take a look at it. Greatly appreciate your response. however, question with “backupwordpress” plugin. Does it backup the whole files, DB,Images,Contents,Plugins? or just db only?


#4

ok. I bought backupcreator, and clearly it work for others but not for me. Or shall I say, all of those who’re in dreamhost.

Really? You guys(Dreamhost Team) don’t add this ZipArchive app?? If not, then I think I have to wait out til my subscription here will expire then move to other that support ZipArchive or have ZipArchive. I can backup my WP site manually but its such a hassle. Its not the only hat I wear throughout the day.


#5

The zip extension is installed and enabled by default under PHP 5.3. If you switch your domain to PHP 5.3, it will become available.


#6

This is SO typical of Dreamhost, you have a problem and rather than tell you how to fix it they tell you to use something else that does not work so well.

Now I have PHP 5.3 and I tried 5.4 but still Duplicator reports

"The ZipArchive extension for PHP is required for compression. Please contact your hosting provider if you’re on a hosted server. For additional information see our online documentation. "

I moved 13 domains to Dreamhost with this package, but two would not migrate, 500 errors on Restore

I tried Backup Buddy, same issue

Now I want to create a dev version of a site and neither backup or restore will work

I have spent a month messing around with PHP memory and other settings

a dozen support tickets and still I have to waste my sunday trying to get something that works on Hostgator and Hostmonster to work with Dreamhost.

So what do you suggest?


#7

I hate to put it this way but … “It worked for me.”

I don’t tell anyone to try something I haven’t personally checked, when it comes to WP. What’s your domain? Maybe you have a custom PHP instance that’s overriding ours, but I do know that if you’re getting that ZipArchive error, then something’s busted on your PHP. Maybe we need to reinstall it for your server, or maybe it’s a quick change, but I can’t tell without looking.


#8

I had the same error trying to use Wordpress’s Duplicator plugin. I upgraded my DH domain’s PHP to 5.3, and the error went away. Easy peasy.